Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator
Class Generator

    java.lang.Object
      com.ssaglobal.generator.Generator

All Implemented Interfaces:
  org.eclipse.core.runtime.IPlatformRunnable

    public class Generator

extends java.lang.Object
implements org.eclipse.core.runtime.IPlatformRunnable

Main (controller) class for the Infor source code generator

Field Summary

Fields inherited from interface org.eclipse.core.runtime.IPlatformRunnable
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`Generator()` Constructor
`Generator(GeneratorControlArea controlData, GeneratorLog log)` Constructor
`Generator(GeneratorLog log)` Constructor

Method Summary
`static int` | `countTargets(GeneratorControlArea controlData, org.eclipse.emf.ecore.EObject object, GeneratorLog log)` Count the number of targets (files) to be generated from a given control area and object
`void` | `generate(org.eclipse.emf.ecore.EObject object, java.util.ArrayList outputFiles, org.eclipse.core.runtime.IProgressMonitor monitor)` Process the generator request
`static void` | `generate(GeneratorControlArea controlData, org.eclipse.emf.ecore.EObject object, GeneratorLog log, java.util.ArrayList outputFiles, org.eclipse.core.runtime.IProgressMonitor monitor)` Generate from template(s)
`GeneratorControlArea` | `getControlData()`
`GeneratorLog` | `getLog()` Get the generator's logger
`static void` | `main(java.lang.String[] args)` Command line interface to the generator.
`java.lang.Object` | `run(java.lang.Object a)`
`void` | `setPersistFiles(boolean persistFiles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Generator

    public Generator()

  Constructor

### Generator

    public Generator(GeneratorLog log)

  Constructor

### Generator

    public Generator(GeneratorControlArea controlData,
                     GeneratorLog log)

  Constructor

  Parameters:
    `controlData` - generator controlData data

Method Detail

### getLog

    public GeneratorLog getLog()

  Get the generator's logger

  Returns:

### generate

    public void generate(org.eclipse.emf.ecore.EObject object,
                         java.util.ArrayList outputFiles,
                         org.eclipse.core.runtime.IProgressMonitor monitor)

  Process the generator request

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Command line interface to the generator. The command takes two arguments - the path to an XML file containing the generator control area, and the path to an XML file containing the EMF model to be processed by the generator.

  Parameters:
    `args` -
  Throws:
    `java.lang.Exception`

### getControlData

    public GeneratorControlArea getControlData()

  Returns:
    Returns the controlData.

### run

    public java.lang.Object run(java.lang.Object a)
                         throws java.lang.Exception

  Specified by:
    `run` in interface `org.eclipse.core.runtime.IPlatformRunnable`
  Throws:
    `java.lang.Exception`

### generate

    public static void generate(GeneratorControlArea controlData,
                                org.eclipse.emf.ecore.EObject object,
                                GeneratorLog log,
                                java.util.ArrayList outputFiles,
                                org.eclipse.core.runtime.IProgressMonitor monitor)

  Generate from template(s)

  Parameters:
    `controlData` - control information that identifies templates, etc.
    `object` - EMF object to be processed by the generator

### countTargets

    public static int countTargets(GeneratorControlArea controlData,
                                   org.eclipse.emf.ecore.EObject object,
                                   GeneratorLog log)

  Count the number of targets (files) to be generated from a given control area and object

  Parameters:
    `controlData` - control information that identifies templates, etc.
    `object` - EMF object to be processed by the generator

### setPersistFiles

    public void setPersistFiles(boolean persistFiles)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD